﻿@model PagedList<DomainModels.Entities.Financial.UserRialPayment>


@{
    ViewBag.Title = "سوابق شارژ ریالی حساب";
}

<div class="alert alert-info">
    بسته به ترافیک کاری، تایید پرداخت و شارژ حساب ممکن است تا 3 ساعت به طول بیانحامد
</div>

@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RowGuid)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserRialAccountId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().AdminRialAccountId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().TrackingNumber)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Price)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PayDate)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().PaymentStatusId)
					</th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.RowGuid)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.UserRialAccount.ShabaNumber)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.AdminRialAccount.ShabaNumber)
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.TrackingNumber)
					</td>
					<td>
						@Html.ShowNumberWithCommaSeperator(item.Price) ریال
					</td>
					<td>
						@Html.ShowDateTime(item.PayDate, ShamsiDateFormatType.ToPersian)
					</td>
                    <td>
                        @Html.ShowPaymentStatus(item.PaymentStatus)
                    </td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
